                          Computer Science 101
                               Quiz G      Name ______________________


1.  The correct format code for printing a double precision
    floating point value in scientfic notation is:

    a. %e                           b. %f

    c. %le                          d. %g


2. In the format specifier %12.6f the 6 means:

   a. 6 different floats are to     b. 6 digits to the right of
      be printed                       the decimal are to be
                                       printed.

   c. 6 total digits are to be      d. 6 digits to the left of
      printed.                         the decimal are to be
                                       printed.

3. Which best characterizes spacing of int and float values
   on the number line.

   a. both are evenly spaced        b. neither is evenly spaced

   c. ints are evenly spaced        d. floats are evenly spaced
      but not floats                   but not ints


   Suppose a local structure variable has been allocated as:

   struct work_t temp;

4. Which of the following will produce a compiler warning and
   a possible execution time error.


   a. return(&temp);                 b. return(temp);

   c. both                           d. neither one.

5. Which of the following will cause the structure to be
   physically copied regardless of its size.

   a. return(&temp);                 b. return(temp);

   c. both                           d. neither one.


